
ACSA HK Bill Payment SDK - Bug #14187

[VST2 - Backoffice] No Restriction on Numerical Fields 

22 August 2022 02:09 PM - wong yen chen

Status: Closed Start date: 22 August 2022

Priority: Normal Due date: 23 August 2022

Assignee: wong yen chen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

No restriction in entering alphabet on numerical fields. User is able to key in but won't be able to save with error code of "400 Bad

Request" but no indication on the error field.

Error Found:

The error found on the below fields.

1. Merchant

• [Search Criteria] & [Add Merchant]

○ Merchant Number

• [Add Merchant Bill]

○ Minimum Amount

○ Maximum Amount

○ Charge Amount

○ Daily Payment Count

Expected Result:

To add restriction to disallow key in of alphabet on numerical fields

History

#1 - 22 August 2022 02:18 PM - wong yen chen

Please disregard the merchant number and fix the below fields:-

Merchant

[Add Merchant Bill]

○ Minimum Amount

○ Maximum Amount

○ Charge Amount

○ Daily Payment Count

Many Thanks!

#2 - 23 August 2022 12:59 PM - Shafiqah Rahni

- Status changed from New to Resolved

- % Done changed from 0 to 100

Revision: 218641

----

Modified : /ACSA/BillPaymentBO/trunk/webadmin/src/app/routes/merchant-bill/merchant-bill-detail/merchant-bill-detail.component.html

Changes :

Add restriction to disallow key in of alphabet on numerical fields
#3 - 23 August 2022 03:41 PM - Shafiqah Rahni

- Assignee changed from Shafiqah Rahni to wong yen chen

deployed

#4 - 23 August 2022 04:39 PM - wong yen chen

- File lfB2KrusFf.png added

- Status changed from Resolved to Closed

Tested all good.
lfB2KrusFf.png 65.5 KB 23 August 2022 wong yen chen
